Debian Bug report logs - #609278
RFP: unity -- Interface for Ubuntu Desktop Edition

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adnan Hodzic <adnan@foolcontrol.org>

Date: Sat, 8 Jan 2011 02:03:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, adnan@foolcontrol.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Sat, 08 Jan 2011 02:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
New Bug report received and forwarded. Copy sent to adnan@foolcontrol.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 08 Jan 2011 02:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: Unity -- Interface for Ubuntu Desktop Edition
Date: Sat, 08 Jan 2011 02:57:26 +0100
Package: wnpp
Severity: wishlist
Owner: Adnan Hodzic <adnan@foolcontrol.org>


* Package name    : Unity
  Version         : 3.2.8
  Upstream Author : Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
* URL             : https://launchpad.net/unity
* License         : (GPL3)
  Programming Lang: (C, C++, vala)
  Description     : Interface for Ubuntu Desktop Edition 

Unity is a graphical interface designed for Ubuntu Desktop Edition




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Sat, 08 Jan 2011 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Sat, 08 Jan 2011 09:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 609278@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Adnan Hodzic <adnan@foolcontrol.org>, 609278@bugs.debian.org
Subject: Re: Bug#609278: ITP: Unity -- Interface for Ubuntu Desktop Edition
Date: Sat, 8 Jan 2011 09:56:22 +0100
Hi,

On Sat, 08 Jan 2011, Adnan Hodzic wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Adnan Hodzic <adnan@foolcontrol.org>
> 
> * Package name    : Unity
>   Version         : 3.2.8
>   Upstream Author : Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
> * URL             : https://launchpad.net/unity
> * License         : (GPL3)
>   Programming Lang: (C, C++, vala)
>   Description     : Interface for Ubuntu Desktop Edition 
> 
> Unity is a graphical interface designed for Ubuntu Desktop Edition

I suggest you join the pkg-ayatana team and maintain unity there:
http://wiki.debian.org/Teams/pkg-ayatana

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Sun, 09 Jan 2011 14:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Jan 2011 14:33:13 GMT) Full text and rfc822 format available.

Message #15 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 609278@bugs.debian.org
Subject: Re: Bug#609278: ITP: Unity -- Interface for Ubuntu Desktop Edition
Date: Sun, 9 Jan 2011 15:20:34 +0100
Raphael, thank you, I have just registered for ayatana team.

Also regarding this ITP I would like to change couple of fields which are:

Upstream Author: Unity Team <ayatana-dev@lists.launchpad.net>

Description: A desktop experience designed for efficiency of space and
interaction

Unity is a desktop experience which is designed for efficiency of
space and interaction, in perfect combination of familiarity and the
future. It embraces the values of GNOME: simplicity, style, usability
and accessibility, as well as on professional level, considereding
design thinking. It is designed by Canonical and Ayatana community and
it consists of a Compiz based plugin, which is heavily dependent on
OpenGL.


Adnan


On Sat, Jan 8, 2011 at 9:56 AM, Raphael Hertzog <hertzog@debian.org> wrote:
> Hi,
>
> On Sat, 08 Jan 2011, Adnan Hodzic wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Adnan Hodzic <adnan@foolcontrol.org>
>>
>> * Package name    : Unity
>>   Version         : 3.2.8
>>   Upstream Author : Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
>> * URL             : https://launchpad.net/unity
>> * License         : (GPL3)
>>   Programming Lang: (C, C++, vala)
>>   Description     : Interface for Ubuntu Desktop Edition
>>
>> Unity is a graphical interface designed for Ubuntu Desktop Edition
>
> I suggest you join the pkg-ayatana team and maintain unity there:
> http://wiki.debian.org/Teams/pkg-ayatana
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Follow my Debian News ▶ http://RaphaelHertzog.com (English)
>                      ▶ http://RaphaelHertzog.fr (Français)
>




Changed Bug title to 'ITP: unity -- Interface for Ubuntu Desktop Edition' from 'ITP: Unity -- Interface for Ubuntu Desktop Edition ' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 22 Feb 2011 17:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Sun, 20 Mar 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Sun, 20 Mar 2011 10:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 609278@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 609278@bugs.debian.org
Cc: pkg-ayatana-devel@lists.alioth.debian.org
Subject: progress on Unity?
Date: Sun, 20 Mar 2011 10:53:00 +0000
Hello,

Has there been any progress on this ITP?

I was surprised to see that unity was missing from
http://wiki.debian.org/Ayatana/Packages, and there's essentially no discussion
on pkg-ayatana-devel at all...


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Sun, 20 Mar 2011 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Sun, 20 Mar 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 609278@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jon Dowland <jmtd@debian.org>
Cc: 609278@bugs.debian.org, pkg-ayatana-devel@lists.alioth.debian.org
Subject: Re: [Pkg-ayatana-devel] progress on Unity?
Date: Sun, 20 Mar 2011 14:06:06 +0100
Hello Jon,

On Sun, 20 Mar 2011, Jon Dowland wrote:
> Has there been any progress on this ITP?

Not that I know. You're welcome to help, Adnan is doing lots of other
stuff already and pkg-ayatana is largely understaffed in general.

(I encouraged its creation but I can't take a leading role)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Mar 2011 14:03:03 GMT) Full text and rfc822 format available.

Message #32 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Raphael Hertzog <hertzog@debian.org>, 609278@bugs.debian.org
Cc: Jon Dowland <jmtd@debian.org>, pkg-ayatana-devel@lists.alioth.debian.org
Subject: Re: Bug#609278: [Pkg-ayatana-devel] progress on Unity?
Date: Mon, 21 Mar 2011 14:59:48 +0100
> On Sun, 20 Mar 2011, Jon Dowland wrote:
>> Has there been any progress on this ITP?
>
> Not that I know. You're welcome to help, Adnan is doing lots of other
> stuff already and pkg-ayatana is largely understaffed in general.

Thank you Raphael for this very thoughtful observation, as it is
absolutely true.

I kind of paused this whole process at the moment, was even thinking
of adding RFH tag to this ITP if that's even possible. Implementation
of Unity into Debian requires immense amount of work to be done, and
I'm not even sure it can be done by one person. Before I paused this
process, huge deal of packages were missing in Debian, even in case
they were present in Debian they required patching. Of course, these
packages could be repackaged directly from Ubuntu as they are already
patched and working nicely in Ubuntu.

Before resuming this process I believe we need to figure out which way
to go. I assume it's patching current Debian packages. As Raphael
already said, I'm doing bunch of other stuff, so help would be highly
appreciated. If I could get extra pair of hands and where we would
divide duties among ourselves I believe this whole process could be
finished relatively fast.


Adnan

On Sun, Mar 20, 2011 at 2:06 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> Hello Jon,
>
> On Sun, 20 Mar 2011, Jon Dowland wrote:
>> Has there been any progress on this ITP?
>
> Not that I know. You're welcome to help, Adnan is doing lots of other
> stuff already and pkg-ayatana is largely understaffed in general.
>
> (I encouraged its creation but I can't take a leading role)
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Follow my Debian News ▶ http://RaphaelHertzog.com (English)
>                      ▶ http://RaphaelHertzog.fr (Français)
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Mar 2011 14:03:05 GMT) Full text and rfc822 format available.

Message #37 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Jon Dowland <jmtd@debian.org>, 609278@bugs.debian.org, pkg-ayatana-devel@lists.alioth.debian.org, jon@dowland.me
Subject: Fwd: Bug#609278: [Pkg-ayatana-devel] progress on Unity?
Date: Mon, 21 Mar 2011 15:01:29 +0100
---------- Forwarded message ----------
From: Adnan Hodzic <adnan@foolcontrol.org>
Date: Mon, Mar 21, 2011 at 2:59 PM
Subject: Re: Bug#609278: [Pkg-ayatana-devel] progress on Unity?
To: Raphael Hertzog <hertzog@debian.org>, 609278@bugs.debian.org
Cc: Jon Dowland <jmtd@debian.org>, pkg-ayatana-devel@lists.alioth.debian.org


> On Sun, 20 Mar 2011, Jon Dowland wrote:
>> Has there been any progress on this ITP?
>
> Not that I know. You're welcome to help, Adnan is doing lots of other
> stuff already and pkg-ayatana is largely understaffed in general.

Thank you Raphael for this very thoughtful observation, as it is
absolutely true.

I kind of paused this whole process at the moment, was even thinking
of adding RFH tag to this ITP if that's even possible. Implementation
of Unity into Debian requires immense amount of work to be done, and
I'm not even sure it can be done by one person. Before I paused this
process, huge deal of packages were missing in Debian, even in case
they were present in Debian they required patching. Of course, these
packages could be repackaged directly from Ubuntu as they are already
patched and working nicely in Ubuntu.

Before resuming this process I believe we need to figure out which way
to go. I assume it's patching current Debian packages. As Raphael
already said, I'm doing bunch of other stuff, so help would be highly
appreciated. If I could get extra pair of hands and where we would
divide duties among ourselves I believe this whole process could be
finished relatively fast.


Adnan

On Sun, Mar 20, 2011 at 2:06 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> Hello Jon,
>
> On Sun, 20 Mar 2011, Jon Dowland wrote:
>> Has there been any progress on this ITP?
>
> Not that I know. You're welcome to help, Adnan is doing lots of other
> stuff already and pkg-ayatana is largely understaffed in general.
>
> (I encouraged its creation but I can't take a leading role)
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Follow my Debian News ▶ http://RaphaelHertzog.com (English)
>                      ▶ http://RaphaelHertzog.fr (Français)
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Mon, 21 Mar 2011 14:57:02 GMT) Full text and rfc822 format available.

Message #42 received at 609278@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: 609278@bugs.debian.org, Jon Dowland <jmtd@debian.org>, pkg-ayatana-devel@lists.alioth.debian.org
Subject: Re: Bug#609278: [Pkg-ayatana-devel] progress on Unity?
Date: Mon, 21 Mar 2011 15:54:00 +0100
On Mon, 21 Mar 2011, Adnan Hodzic wrote:
> Before resuming this process I believe we need to figure out which way
> to go. I assume it's patching current Debian packages. As Raphael

I don't know what kind of patches those are, but this obviously need to be
discussed with each relevant maintainer. We can't decide for them. But
duplicating packages would be really bad.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 15:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Mon, 21 Mar 2011 15:21:16 GMT) Full text and rfc822 format available.

Message #47 received at 609278@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: Raphael Hertzog <hertzog@debian.org>, 609278@bugs.debian.org, pkg-ayatana-devel@lists.alioth.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: [Pkg-ayatana-devel] Bug#609278: progress on Unity?
Date: Mon, 21 Mar 2011 11:20:12 -0400
On Mon, Mar 21, 2011 at 9:59 AM, Adnan Hodzic <adnan@foolcontrol.org> wrote:
>> On Sun, 20 Mar 2011, Jon Dowland wrote:
>>> Has there been any progress on this ITP?
>>
>> Not that I know. You're welcome to help, Adnan is doing lots of other
>> stuff already and pkg-ayatana is largely understaffed in general.
>
> Thank you Raphael for this very thoughtful observation, as it is
> absolutely true.
>
> I kind of paused this whole process at the moment, was even thinking
> of adding RFH tag to this ITP if that's even possible. Implementation
> of Unity into Debian requires immense amount of work to be done, and
> I'm not even sure it can be done by one person. Before I paused this
> process, huge deal of packages were missing in Debian, even in case
> they were present in Debian they required patching. Of course, these
> packages could be repackaged directly from Ubuntu as they are already
> patched and working nicely in Ubuntu.
>
> Before resuming this process I believe we need to figure out which way
> to go. I assume it's patching current Debian packages. As Raphael
> already said, I'm doing bunch of other stuff, so help would be highly
> appreciated. If I could get extra pair of hands and where we would
> divide duties among ourselves I believe this whole process could be
> finished relatively fast.

We should probably have a larger discussion on pkg-ayatana-devel about
goals/plans for the group in Wheezy, but a first step that would be
useful would be to make sure http://wiki.debian.org/Ayatana/Packages
is up-to-date. Currently it only has the packages which integrate into
GNOME 2.X sessions, not all of the stuff required for Unity. We could
probably also use a page that tracks/examines what patches to
non-Ayatana packages that Ubuntu is carrying in order to build Unity.

Also, it should be noted that Unity is currently implemented as a
plugin to the Compiz 0.9.x branch. Which is only in experimental, so
uploads need to be targeted there.

- Andrew Starr-Bochicchio




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 15:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Mar 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #52 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 609278@bugs.debian.org, Jon Dowland <jmtd@debian.org>, pkg-ayatana-devel@lists.alioth.debian.org
Subject: Re: Bug#609278: [Pkg-ayatana-devel] progress on Unity?
Date: Mon, 21 Mar 2011 16:32:34 +0100
> I don't know what kind of patches those are, but this obviously need to be
> discussed with each relevant maintainer. We can't decide for them. But
> duplicating packages would be really bad.

I think this is because Squeeze was being prepared for release, so
everybody was revolving around that goal. I believe situation has
changed, and that most of these packages have been synced by now and
that they are at least in experimental. If anything, I learned from
this process is that Ubuntu *does* push back the changes.

I even made a "deps check" http://paste.debian.net/plain/105221 but
please be *aware* this was almost a month ago. For instance now you're
able to find compiz-core 0.9.2.1+git20110226.f059fae9-4 in
experimental.

I'll redo the whole process by the end of this week, will let you know
of the results.


Adnan

On Mon, Mar 21, 2011 at 3:54 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> On Mon, 21 Mar 2011, Adnan Hodzic wrote:
>> Before resuming this process I believe we need to figure out which way
>> to go. I assume it's patching current Debian packages. As Raphael
>
> I don't know what kind of patches those are, but this obviously need to be
> discussed with each relevant maintainer. We can't decide for them. But
> duplicating packages would be really bad.
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Follow my Debian News ▶ http://RaphaelHertzog.com (English)
>                      ▶ http://RaphaelHertzog.fr (Français)
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 21 Mar 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Mar 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #57 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Cc: Raphael Hertzog <hertzog@debian.org>, 609278@bugs.debian.org, pkg-ayatana-devel@lists.alioth.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: [Pkg-ayatana-devel] Bug#609278: progress on Unity?
Date: Mon, 21 Mar 2011 16:52:25 +0100
> On Mon, Mar 21, 2011 at 4:20 PM, Andrew Starr-Bochicchio <a.starr.b@gmail.com> wrote:
>
> We should probably have a larger discussion on pkg-ayatana-devel about
> goals/plans for the group in Wheezy, but a first step that would be
> useful would be to make sure http://wiki.debian.org/Ayatana/Packages
> is up-to-date. Currently it only has the packages which integrate into
> GNOME 2.X sessions, not all of the stuff required for Unity. We could
> probably also use a page that tracks/examines what patches to
> non-Ayatana packages that Ubuntu is carrying in order to build Unity.

Great, because I tried to make some sort of  "deps check"
http://paste.debian.net/plain/105221 (long time ago) wasn't aware
there was http://wiki.debian.org/Ayatana/Packages which is great
because I was thinking of re-packaging indicator-* stuff first and
I'll make sure I update the list.

I'll redo the whole process, and will report back on the results on
what happens.

> Also, it should be noted that Unity is currently implemented as a
> plugin to the Compiz 0.9.x branch. Which is only in experimental, so
> uploads need to be targeted there.

I agree, all uploads should be in experimental.


Adnan

On Mon, Mar 21, 2011 at 4:20 PM, Andrew Starr-Bochicchio
<a.starr.b@gmail.com> wrote:
> On Mon, Mar 21, 2011 at 9:59 AM, Adnan Hodzic <adnan@foolcontrol.org> wrote:
>>> On Sun, 20 Mar 2011, Jon Dowland wrote:
>>>> Has there been any progress on this ITP?
>>>
>>> Not that I know. You're welcome to help, Adnan is doing lots of other
>>> stuff already and pkg-ayatana is largely understaffed in general.
>>
>> Thank you Raphael for this very thoughtful observation, as it is
>> absolutely true.
>>
>> I kind of paused this whole process at the moment, was even thinking
>> of adding RFH tag to this ITP if that's even possible. Implementation
>> of Unity into Debian requires immense amount of work to be done, and
>> I'm not even sure it can be done by one person. Before I paused this
>> process, huge deal of packages were missing in Debian, even in case
>> they were present in Debian they required patching. Of course, these
>> packages could be repackaged directly from Ubuntu as they are already
>> patched and working nicely in Ubuntu.
>>
>> Before resuming this process I believe we need to figure out which way
>> to go. I assume it's patching current Debian packages. As Raphael
>> already said, I'm doing bunch of other stuff, so help would be highly
>> appreciated. If I could get extra pair of hands and where we would
>> divide duties among ourselves I believe this whole process could be
>> finished relatively fast.
>
> We should probably have a larger discussion on pkg-ayatana-devel about
> goals/plans for the group in Wheezy, but a first step that would be
> useful would be to make sure http://wiki.debian.org/Ayatana/Packages
> is up-to-date. Currently it only has the packages which integrate into
> GNOME 2.X sessions, not all of the stuff required for Unity. We could
> probably also use a page that tracks/examines what patches to
> non-Ayatana packages that Ubuntu is carrying in order to build Unity.
>
> Also, it should be noted that Unity is currently implemented as a
> plugin to the Compiz 0.9.x branch. Which is only in experimental, so
> uploads need to be targeted there.
>
> - Andrew Starr-Bochicchio
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Thu, 17 Nov 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kümmerer <matthias@matthias-k.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Thu, 17 Nov 2011 13:15:05 GMT) Full text and rfc822 format available.

Message #62 received at 609278@bugs.debian.org (full text, mbox):

From: Matthias Kümmerer <matthias@matthias-k.org>
To: 609278@bugs.debian.org
Subject: Re: Bug#609278: ITP: Unity -- Interface for Ubuntu Desktop Edition
Date: Thu, 17 Nov 2011 14:12:47 +0100
Hi,

I wanted to ask wether there is any progress of packaging Unity for Debian. I 
would love to have it in Debian. If there is anything I can help with, I will 
be happy to try to do so. At the moment I am not sure what has to be done in 
order to get Unity into Debian.


Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Fri, 18 Nov 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 Nov 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #67 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Matthias Kümmerer <matthias@matthias-k.org>, 609278@bugs.debian.org
Subject: Re: Bug#609278: ITP: Unity -- Interface for Ubuntu Desktop Edition
Date: Fri, 18 Nov 2011 19:39:30 +0100
Hello Matthias,

> I wanted to ask wether there is any progress of packaging Unity for Debian.

To be absolutely honest it hasn't moved from "ground zero" and I'll
tell you all about it as I go through this email.

>  I would love to have it in Debian.

So would I, and from point Unity was even announced to move from
netbooks to desktop back on DebConf10 I saw this as a great
opportunity to have Unity in Debian and for Debian to move closer to
its goal as being the "Universal Operating System".

> If there is anything I can help with, I will be happy to try to do so. At the moment I am not sure what has to be done in
> order to get Unity into Debian.

The most I worked on trying to get Unity in Debian was around UDS-N,
especially after Mark announced that it would replace GNOME desktop on
Ubuntu desktop. The main problem was that there was so many
dependencies, even on some of the most trivial packages you would have
to check what the differences were as there would be some kind of
change done in Ubuntu. By the time you'd get caught up with all of it,
there would be a new changes made on Unity and you would be on the
very start, again. As this seemed of more being in infinite loop then
packaging process, and as I was busy with other things such as
organizing DebConf11, university, so on I just paused the whole
process.

I talked about this topic with various people, ranging from users over
developers to project leaders both from Ubuntu and Debian side. Ubuntu
was very interested in this and was very willing to help, even people
from very top of Canonical were interested and I was even asked by
Mark himself back on UDS-O what's happening with this and I told him
as it was. Something along the line that "Unity's moving too fast, in
a sense that there's a lot of changes happening to Unity and it's very
hard to catch up on all the dependencies and differences between the
packages".

Now, back on DebConf11, I was too busy with organization and kinda
missed the whole conference, but from what I found out from some
informal talks, to be honest besides few people Debian side wasn't
that interested in having Unity, some didn't even see the whole point
of having another DE.

Second and most important point is, if we want to have Unity in Debian
there has to be more then one or few people working in this process
and the only way it can be done is if the whole team of people working
on it. But as I might have mentioned or hinted I think what prevents
it from getting into Debian at this point is more of a philosophical
nature rather then technical.

When it comes to Unity, with Ubuntu 11.10 we can see that it has
greatly matured from what we saw in 11.04 and that it could be
packaged at this point, but AFAIK there's a lot of happening with
development of Unity 5 for 12.04 release, and maybe this could the
best point to have it packaged and pushed into Debian. I'm saying this
from a point that Debian 7 will be released in some ~6-7 month time
period, at this point even if it gets pushed into Debian by then I
don't see a point of having it in there. Especially from the point
that I highly doubt that Unity 5 will be managed to be pushed into
Debian 7 after its release in Ubuntu 12.04. And I don't know how much
would you like to have current Unity in Debian 7 until Debian 8 gets
released ...

In general, I think why Unity is important and what it means for *all*
Linux distributions was summed in last couple of minutes of UDS-P
keynote: http://www.youtube.com/watch?v=0bOwyGYTMv8&feature=youtu.be&t=24m48s

After DebConf11 I'm busy with finishing my studies, and want to devote
more time to Java team, as of this point chances of getting Unity into
Debian doesn't look too bright, and as it seems right now all we can
do is give it more time and wait as for some products time is the key
factor. In the end please note that with everything that I said here
I'm not being pessimistic but rather just realistic.


2011/11/17 Matthias Kümmerer <matthias@matthias-k.org>:
> Hi,
>
> I wanted to ask wether there is any progress of packaging Unity for Debian. I
> would love to have it in Debian. If there is anything I can help with, I will
> be happy to try to do so. At the moment I am not sure what has to be done in
> order to get Unity into Debian.
>
>
> Matthias
>
>
>



-- 
Adnan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Mon, 07 May 2012 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Mon, 07 May 2012 09:21:11 GMT) Full text and rfc822 format available.

Message #72 received at 609278@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 609278@bugs.debian.org
Subject: any progress
Date: Mon, 7 May 2012 11:12:48 +0200
Hey,

is there any progress on packaging unity for debian atm?


Greetings
Winnie




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 07 May 2012 15:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 May 2012 15:09:08 GMT) Full text and rfc822 format available.

Message #77 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Patrick Winnertz <winnie@debian.org>, 609278@bugs.debian.org
Subject: Re: Bug#609278: any progress
Date: Mon, 7 May 2012 16:39:52 +0200
No, nor does it seem there will be any. Please refer to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609278#67 for more
information.


Regards,

Adnan

On Mon, May 7, 2012 at 11:12 AM, Patrick Winnertz <winnie@debian.org> wrote:
> Hey,
>
> is there any progress on packaging unity for debian atm?
>
>
> Greetings
> Winnie
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#609278; Package wnpp. (Thu, 26 Jul 2012 19:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Thu, 26 Jul 2012 19:33:12 GMT) Full text and rfc822 format available.

Message #82 received at 609278@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 609278@bugs.debian.org
Subject: maybe retitle?
Date: Thu, 26 Jul 2012 15:56:46 -0300
Hi Adnan, 

I just came across this bug in a discussion on IRC today. Perhaps if you
don't expect to work on this further (unless the situation changes), you
could retitle the bug to an RFP, to allow people to more quickly
understand the state of things.

All the best,

David



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 30 Jul 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Jul 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #87 received at 609278@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: David Bremner <bremner@debian.org>, 609278@bugs.debian.org
Subject: Re: Bug#609278: maybe retitle?
Date: Mon, 30 Jul 2012 18:19:05 -0400
[Message part 1 (text/plain, inline)]
You're right, thank you for this observation. I'll do as you said as it
seems right now I don't plan on continuing working on this packages
implementation in Debian.

Adnan

On Thu, Jul 26, 2012 at 2:56 PM, David Bremner <bremner@debian.org> wrote:
>
> Hi Adnan,
>
> I just came across this bug in a discussion on IRC today. Perhaps if you
> don't expect to work on this further (unless the situation changes), you
> could retitle the bug to an RFP, to allow people to more quickly
> understand the state of things.
>
> All the best,
>
> David
[Message part 2 (text/html, inline)]

Changed Bug title to 'RFP: unity -- Interface for Ubuntu Desktop Edition' from 'ITP: unity -- Interface for Ubuntu Desktop Edition' Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 14 Nov 2012 12:15:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Adnan Hodzic <adnan@foolcontrol.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 14 Nov 2012 16:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Mon, 14 Jan 2013 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jan 2013 15:36:03 GMT) Full text and rfc822 format available.

Message #96 received at 609278@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 609278@bugs.debian.org
Cc: pkg-ayatana-devel@lists.alioth.debian.org
Subject: Unity
Date: Mon, 14 Jan 2013 21:01:57 +0530
[Message part 1 (text/plain, inline)]
Hello Folks still following this ITP.

I spent some time trying to see if I could get the Unity shell packaged
for Debian. I started with taking the latest build from precise-updates
and see what needs change and what is missing....

Here's what I have:

rrs@champaran:~/Community/Packaging/Unity$ ls
bamf/              frame/           grail/               
Lenses/         libunity-webapps/  unity/             x11proto-fixes/
compiz/            geis/            humanity-icon-theme/ 
libunity/       libxfixes/         unity-asset-pool/
dbus-test-runner/  glib2.0-2.32.3/  indicator-messages/  
libunity-misc/  nux/               unity-greeter/


Many of it is already in Debian in sid and experimental. Where as some
others (icons etc) can always be addons.

Building the entire thing was a real PITA. The main reason being that
getting Unity for Debian would mean close co-ordination in between
dependent package teams and accommodating changes. For example, the
unity patch for chromium.
And this definitely cannot be done by a single person. So are people
interested and willing to take it further ???

I haven't done much than just try to get it build inside a
sid/experimental pbuilder instance, so all the big task of co-ordination
with other dependency teams is still pending...

Oh!! And yes, it also runs on my box.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#609278; Package wnpp. (Sat, 26 Oct 2013 05:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jackson Doak <noskcaj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Oct 2013 05:09:04 GMT) Full text and rfc822 format available.

Message #101 received at 609278@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 609278@bugs.debian.org
Date: Sat, 26 Oct 2013 16:05:45 +1100
[Message part 1 (text/plain, inline)]
Has there been any more progress on this?
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:27:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.